# Class Condition<T>

Defines a condition for use with WebDriver's WebDriver#wait wait command.

#### Type Parameters

- #### T

#### Hierarchy

- Condition
  - WebElementCondition

#####
Index

### Constructors

constructor

### Methods

description
fn

## Constructors

### constructor

- new Condition<T>(message, fn): Condition<T>

- #### Type Parameters

  - #### T

  #### Parameters

  - ##### message: string

    A descriptive error message. Should complete the sentence 'Waiting [...]'

  - ##### fn: ConditionFn<T>

    The condition function to evaluate on each iteration of the wait loop.

  #### Returns Condition<T>

## Methods

### description

- description(): string

- #### Returns string

  A description of this condition.

### fn

- fn(webdriver): ConditionFn<T>

- #### Parameters

  - ##### webdriver: WebDriver

  #### Returns ConditionFn<T>

Generated using TypeDoc